Em-Hub Wiki Android Docs iOS Docs Support

- Index
- Hierarchy

# EMConnectionType Protocol Reference

Conforms to | NSObject
Declared in | EMConnectionType.h

## Overview

Abstracts a given protocol for connecting to devices.

## Tasks

- `scanDelegate`

  The delegate for scanning

  property required method
- `connectionDelegate`

  The delegate for connection communication

  property required method
- `schema`

  The schema for connection

  property required method
- `lastReadValue`

  The last read resource value from the device

  property required method
- `connected`

  A boolean indicating whether or not there is a connection with a device.

  property required method
- `signalStrengthFilterClass`

  The class to use for filtering, or smoothin, signal strength values

  property required method
- `– deviceType`

  The type of device - this can be set to anything and retreived for printing or examining.

  required method
- `– startUpdating`

  Tells the connection to start looking for devices of its type.

  required method
- `– stopUpdating`

  Tells the connection to stop looking for devices of its type.

  required method
- `– isConnected`

  Returns whether or not there is a connection with a device.

  required method
- `– disconnect`

  disconnects the current device.

  required method
- `– connectToDevice:connectionDelegate:`

  Establishes a connection with a device

  required method
- `– isAvailable`

  YES if available on the current device, NO if unavailable.

  required method
- `– fetch:`

  Fetches a resource. Can be retrieved in “lastReadValue”

  required method
- `– fetchSystemResource:`

  Fetches a system resource. Can be retrieved in “lastReadValue”.

  required method
- `– store:`

  writes a value to a device.

  required method

## Properties

### connected

A boolean indicating whether or not there is a connection with a device.

`@property (nonatomic, readonly, getter=isConnected) BOOL connected`

#### Discussion

A boolean indicating whether or not there is a connection with a device.

#### Declared In

`EMConnectionType.h`

### connectionDelegate

The delegate for connection communication

`@property (nonatomic, unsafe_unretained) id<EMDeviceDelegate> connectionDelegate`

#### Discussion

The delegate for connection communication

#### Declared In

`EMConnectionType.h`

### lastReadValue

The last read resource value from the device

`@property (nonatomic, strong) EMResourceValue *lastReadValue`

#### Discussion

The last read resource value from the device

#### Declared In

`EMConnectionType.h`

### scanDelegate

The delegate for scanning

`@property (nonatomic, unsafe_unretained) id<EMConnectionTypeScannerDelegate> scanDelegate`

#### Discussion

The delegate for scanning

#### Declared In

`EMConnectionType.h`

### schema

The schema for connection

`@property (nonatomic, unsafe_unretained) EMSchema *schema`

#### Discussion

The schema for connection

#### Declared In

`EMConnectionType.h`

### signalStrengthFilterClass

The class to use for filtering, or smoothin, signal strength values

`@property (nonatomic, strong) Class<EMSignalStrengthFilter> signalStrengthFilterClass`

#### Discussion

The class to use for filtering, or smoothin, signal strength values

#### Declared In

`EMConnectionType.h`

## Instance Methods

### connectToDevice:connectionDelegate:

Establishes a connection with a device

`- (void)connectToDevice:(EMDeviceBasicDescription *)device connectionDelegate:(id<EMDeviceDelegate>)connDelegate`

#### Discussion

Establishes a connection with a device

#### Declared In

`EMConnectionType.h`

### deviceType

The type of device - this can be set to anything and retreived for printing or examining.

`- (NSString *)deviceType`

#### Discussion

The type of device - this can be set to anything and retreived for printing or examining.

#### Declared In

`EMConnectionType.h`

### disconnect

disconnects the current device.

`- (void)disconnect`

#### Discussion

disconnects the current device.

#### Declared In

`EMConnectionType.h`

### fetch:

Fetches a resource. Can be retrieved in “lastReadValue”

`- (void)fetch:(id)resourceValue`

#### Discussion

Fetches a resource. Can be retrieved in “lastReadValue”

#### Declared In

`EMConnectionType.h`

### fetchSystemResource:

Fetches a system resource. Can be retrieved in “lastReadValue”.

`- (void)fetchSystemResource:(id)resourceValue`

#### Discussion

Fetches a system resource. Can be retrieved in “lastReadValue”.

#### Declared In

`EMConnectionType.h`

### isAvailable

YES if available on the current device, NO if unavailable.

`- (BOOL)isAvailable`

#### Discussion

YES if available on the current device, NO if unavailable.

#### Declared In

`EMConnectionType.h`

### isConnected

Returns whether or not there is a connection with a device.

`- (BOOL)isConnected`

#### Discussion

Returns whether or not there is a connection with a device.

#### Declared In

`EMConnectionType.h`

### startUpdating

Tells the connection to start looking for devices of its type.

`- (void)startUpdating`

#### Discussion

Tells the connection to start looking for devices of its type.

#### Declared In

`EMConnectionType.h`

### stopUpdating

Tells the connection to stop looking for devices of its type.

`- (void)stopUpdating`

#### Discussion

Tells the connection to stop looking for devices of its type.

#### Declared In

`EMConnectionType.h`

### store:

writes a value to a device.

`- (void)store:(id)resourceValue`

#### Discussion

writes a value to a device.

#### Declared In

`EMConnectionType.h`

- Index
- Hierarchy

© 2014 Emmoco, Inc.. All rights reserved. (Last updated: 2014-02-21)
Generated by appledoc 2.2 (build 961).